<?php
header('Content-Type: text/html; charset=utf-8');
require_once('../../../core/includes/master.inc.php');
$pluginConfig   = pluginHelper::pluginSpecificConfiguration('bitpay');
$pluginSettings = $pluginConfig['data']['plugin_settings'];
$bitpay_webgate_api    = '';
if (strlen($pluginSettings)){
	$pluginSettingsArr = json_decode($pluginSettings, true);
	$bitpay_webgate_api = $pluginSettingsArr['bitpay_webgate_api'];
}
$paymentTracker = urldecode($_REQUEST['custom']);
$order          = OrderPeer::loadByPaymentTracker($paymentTracker);
if ($order)
{
	$status = 'cancelled';
	if($_POST['status'] == 'paid')
	{
		$api = $bitpay_webgate_api;
		$amount = intval($order->amount);
		$trans_id = isset($_POST['trans_id']) ? $_POST['trans_id'] : 0; 
		$id_get = isset($_POST['id_get']) ? $_POST['id_get'] : 0;
		
		
		
		
		$ch = curl_init();
        curl_setopt($ch,CURLOPT_URL,'http://bitpay.ir/payment/gateway-result-second');
        curl_setopt($ch,CURLOPT_POSTFIELDS,"api=$api&id_get=$id_get&trans_id=$trans_id");
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
        curl_setopt($ch,CURLOPT_RETURNTRANSFER,true);
        $res = curl_exec($ch);
        curl_close($ch);
		
		
		
		
		
		if ($res == 1) {
			$status = 'completed';
			$fault = 0;
		}
		else {
			$status = 'failed';
			$fault = $res;
		}
	}
	
	if ( $status == 'completed' )
	{
		$extendedDays  = $order->days;
		$upgradeUserId = $order->upgrade_user_id;
		$orderId       = $order->id;
		$userId        = $order->user_id;
		$user   = $db->getRow("SELECT * FROM users WHERE id = " . (int) $userId . " LIMIT 1");
		$to_email = SITE_CONFIG_DEFAULT_EMAIL_ADDRESS_FROM ? SITE_CONFIG_DEFAULT_EMAIL_ADDRESS_FROM : SITE_CONFIG_REPORT_ABUSE_EMAIL;
		$to_email = $to_email ? $to_email : null;
		
		// log in payment_log
		$response_vars = "Transaction_Id => ". $trans_id . "\n";
		
		$dbInsert = new DBObject("payment_log", 
			array("user_id", "date_created", "amount",
			"currency_code", "from_email", "to_email", "description",
			"request_log", "payment_method")
        );
		$dbInsert->user_id = $userId;
		$dbInsert->date_created = date("Y-m-d H:i:s", time());
		$dbInsert->amount = $order->amount;
		$dbInsert->currency_code = SITE_CONFIG_COST_CURRENCY_CODE;
		$dbInsert->from_email = $user['email'];
		$dbInsert->to_email = $to_email;
		$dbInsert->description = $extendedDays . ' days extension';
		$dbInsert->request_log = $response_vars;
        $dbInsert->payment_method = 'bitpay';
		$dbInsert->insert();
		
		// make sure the order is pending
		if ($order->order_status == 'completed')
			header('Location: '.urldecode(WEB_ROOT . '/payment_complete.' . SITE_CONFIG_PAGE_EXTENSION));
		
		// update order status to paid
		$dbUpdate = new DBObject("premium_order", array("order_status"), 'id');
		$dbUpdate->order_status = 'completed';
		$dbUpdate->id = $orderId;
		$effectedRows = $dbUpdate->update();
		if ($effectedRows === false)
			die('متاسفانه در حین پرداخت خطایی رخ داده است');
		
		// extend/upgrade user
        $upgrade = UserPeer::upgradeUser($userId, $order->days);
        if ($upgrade === false)
			die('متاسفانه در حین پرداخت خطایی رخ داده است');

		// append any plugin includes
		pluginHelper::includeAppends('payment_ipn_paypal.php');
		header('Location: '.urldecode(WEB_ROOT . '/payment_complete.' . SITE_CONFIG_PAGE_EXTENSION));
	}

	if ( $status == 'failed' )
	{
		die('در حین پرداخت خطای رو به رو رخ داده است : '.$res);
	}
		
	if ( $status == 'cancelled' )
	{	
		header('Location: '.urldecode(WEB_ROOT . '/upgrade.' . SITE_CONFIG_PAGE_EXTENSION));
	}		
}
else
{
	die('متاسفانه در حین پرداخت خطایی رخ داده است');
}