<?php
header('Content-Type: text/html; charset=utf-8');
require_once('../../../core/includes/master.inc.php');
$pluginConfig   = pluginHelper::pluginSpecificConfiguration('bitpay');
$pluginSettings = $pluginConfig['data']['plugin_settings'];
$bitpay_webgate_api    = '';
if (strlen($pluginSettings)){
    $pluginSettingsArr 		= json_decode($pluginSettings, true);
    $bitpay_webgate_api       = $pluginSettingsArr['bitpay_webgate_api'];
}
if (!isset($_REQUEST['days'])){
    coreFunctions::redirect(WEB_ROOT . '/index.html');
}
// require login
if (!isset($_REQUEST['i'])){
    $Auth->requireUser(WEB_ROOT.'/login.'.SITE_CONFIG_PAGE_EXTENSION);
    $userId    = $Auth->id;
    $username  = $Auth->username;
    $userEmail = $Auth->email;
}
else
{
    $user = UserPeer::loadUserByIdentifier($_REQUEST['i']);
    if (!$user)
    {
        die('چنین کاربری وجود ندارد');
    }

    $userId    = $user->id;
    $username  = $user->username;
    $userEmail = $user->email;
}
$days = (int) (trim($_REQUEST['days']));
$fileId = null;
if (isset($_REQUEST['f'])){
    $file = file::loadByShortUrl($_REQUEST['f']);
    if ($file){
        $fileId = $file->id;
    }
}
// create order entry
$orderHash = MD5(time() . $userId);
$amount    = intval(constant('SITE_CONFIG_COST_FOR_' . $days . '_DAYS_PREMIUM'))*10;
$order     = OrderPeer::create($userId, $orderHash, $days, $amount, $fileId);
$return_url = urldecode(PLUGIN_WEB_ROOT . '/' . $pluginConfig['data']['folder_name'] . '/site/return.php').'?custom='.urlencode($orderHash).'&mc_gross='.$amount;
if ($order)
{    
	//start of bitpay
	$api = $bitpay_webgate_api;
	$amount = $amount;
	$description = 'خرید اکانت '.intval($days).' روزه کاربر '.$username; 
	$email = isset($userEmail) ? $userEmail : '';
	$CallbackURL =  urlencode($return_url);
	$order_id = $order->id;
	
	$ch = curl_init();
	curl_setopt($ch,CURLOPT_URL,'http://bitpay.ir/payment/gateway-send');
	curl_setopt($ch,CURLOPT_POSTFIELDS,"api=$api&amount=$amount&redirect=$CallbackURL&factorId=$order_id&email=$email&description=$description");
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
	curl_setopt($ch,CURLOPT_RETURNTRANSFER,true);
	$res = curl_exec($ch);
	curl_close($ch);
	
	
	
	
	
	if($res > 0 && is_numeric($res))
	{
		Header('Location: http://bitpay.ir/payment/gateway-'.$res);
	} 
	else 
	{		
		die('در حین پرداخت خطای رو به رو رخ داده است : '.$res);
	}
}